<?php
/**
 * $Horde: jeta/main.php,v 1.19 2007/01/02 12:48:16 jan Exp $
 *
 * Copyright 2002-2007 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author Eric Rostetter <eric.rostetter@physics.utexas.edu>
 */

@define('JETA_BASE', dirname(__FILE__));
require_once JETA_BASE . '/lib/base.php';
require_once JETA_BASE . '/lib/Applet.php';
require_once 'Horde/Menu.php';
require_once 'Horde/Template.php';

$applet = &Jeta_Applet::factory($prefs->getValue('sshdriver'));
$menu = new Menu();

$template = new Horde_Template();
$template->set('menu', $menu->render());
$template->set('notification', $notification->notify(array('listeners' => 'status')));
$template->set('applet', $applet->generateAppletCode());

require JETA_TEMPLATES . '/common-header.inc';
echo $template->fetch(JETA_TEMPLATES . '/main.html');
require $registry->get('templates', 'horde') . '/common-footer.inc';
